ViennaCL - The Vienna Computing Library: viennacl::linalg::row_scaling< MatrixType, true > Class Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::linalg::row_scaling< MatrixType, true > Class Template Reference

Jacobi preconditioner class, can be supplied to solve()-routines. More...

`#include <row_scaling.hpp>`

## Public Member Functions
| row_scaling (MatrixType const &mat, row_scaling_tag const &tag)
| Constructor for the preconditioner. More...
void | init (MatrixType const &mat, row_scaling_tag const &tag)
template<unsigned int ALIGNMENT>
void | apply (viennacl::vector< ScalarType, ALIGNMENT > &vec) const

## Detailed Description

### template<typename MatrixType>
class viennacl::linalg::row_scaling< MatrixType, true >

Jacobi preconditioner class, can be supplied to solve()-routines.

Specialization for compressed_matrix

Definition at line 150 of file row_scaling.hpp.

## Constructor & Destructor Documentation

template<typename MatrixType >

viennacl::linalg::row_scaling< MatrixType, true >::row_scaling | ( | MatrixType const & | mat,
|  | row_scaling_tag const & | tag
| ) |  |
| inline

Constructor for the preconditioner.

Parameters

  mat | The system matrix
  tag | A row scaling tag holding the desired norm.

Definition at line 161 of file row_scaling.hpp.

## Member Function Documentation

template<typename MatrixType >
template<unsigned int ALIGNMENT>

void viennacl::linalg::row_scaling< MatrixType, true >::apply | ( | viennacl::vector< ScalarType, ALIGNMENT > & | vec | ) | const
| inline

Definition at line 185 of file row_scaling.hpp.

template<typename MatrixType >

void viennacl::linalg::row_scaling< MatrixType, true >::init | ( | MatrixType const & | mat,
|  | row_scaling_tag const & | tag
| ) |  |
| inline

Definition at line 166 of file row_scaling.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/row_scaling.hpp